summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAron Griffis <agriffis@gentoo.org>2003-05-25 00:38:05 +0000
committerAron Griffis <agriffis@gentoo.org>2003-05-25 00:38:05 +0000
commit8a0d36313726c95caf7226dcc153db7e258f7643 (patch)
treede55eee6b373610ed5e47a8fd0db12b335e5f699 /eclass/vim.eclass
parentInitial Import. (diff)
downloadhistorical-8a0d36313726c95caf7226dcc153db7e258f7643.tar.gz
historical-8a0d36313726c95caf7226dcc153db7e258f7643.tar.bz2
historical-8a0d36313726c95caf7226dcc153db7e258f7643.zip
fix ruby test in vim.eclass
Diffstat (limited to 'eclass/vim.eclass')
-rw-r--r--eclass/vim.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/vim.eclass b/eclass/vim.eclass
index b2a8b458c99a..46fd9f007957 100644
--- a/eclass/vim.eclass
+++ b/eclass/vim.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim.eclass,v 1.28 2003/05/24 02:15:39 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim.eclass,v 1.29 2003/05/25 00:38:05 agriffis Exp $
# Authors:
# Ryan Phillips <rphillips@gentoo.org>
@@ -32,10 +32,10 @@ DEPEND="
# Vim versions after 6.2d should work with Ruby 1.8 because of a local
# Gentoo patch; working on putting it upstream (22 May 2003 agriffis)
-if [[ "$PV" == 6.2* && "${PV#6.2}" > c ]]; then
- DEPEND="${DEPEND} ruby? ( dev-lang/ruby )"
-else
+if [[ "$PV" < 6.2 || ( "$PV" == 6.2_pre* && "${PV#*pre}" -lt 4 ) ]]; then
DEPEND="${DEPEND} ruby? ( =dev-lang/ruby-1.6* )" # 1.8 doesn't work
+else
+ DEPEND="${DEPEND} ruby? ( dev-lang/ruby )"
fi
apply_vim_patches() {